From a89afff27e246e700e7bafe8d57c2ea7f77842e3 Mon Sep 17 00:00:00 2001
From: Abdellatif El Khlifi <abdellatif.elkhlifi@arm.com>
Date: Mon, 6 Mar 2023 15:57:59 +0000
Subject: [PATCH 2/3] psci: SMCCC_ARCH_FEATURES discovery through PSCI_FEATURES

allow normal world use PSCI_FEATURES to discover SMCCC_ARCH_FEATURES

Signed-off-by: Abdellatif El Khlifi <abdellatif.elkhlifi@arm.com>
Upstream-Status: Inappropriate [A U-Boot patch will be released to fix an issue in the PSCI driver]
---
 lib/psci/psci_main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lib/psci/psci_main.c b/lib/psci/psci_main.c
index a01553128..fa369d285 100644
--- a/lib/psci/psci_main.c
+++ b/lib/psci/psci_main.c
@@ -363,7 +363,7 @@ int psci_features(unsigned int psci_fid)
 {
 	unsigned int local_caps = psci_caps;
 
-	if (psci_fid == SMCCC_VERSION)
+	if (psci_fid == SMCCC_VERSION || psci_fid == SMCCC_ARCH_FEATURES)
 		return PSCI_E_SUCCESS;
 
 	/* Check if it is a 64 bit function */
